curl --location 'https://app.mgpanel.co/api/emails?page=1&limit=20&status=delivered&module=invoice&date_from=2026-01-01&date_to=2026-01-31&q=factura' \
--header 'X-Account-Nick: {{ACCOUNT_NICK}}' \
--header 'Authorization: Bearer {{API_KEY}}' \
--header 'Content-Type: application/json'{
"success": true,
"emails": [
{
"_id": "507f1f77bcf86cd799439044",
"messageId": "010f01a07dc91a66-938795f9-be8f-43f2-9fd9-5b6be65a002e0-000000",
"timestamp": "2026-01-15T10:00:00.000Z",
"source": "Mi Empresa <noreply@mgpanel.co>",
"destinations": [
"cliente@example.com"
],
"subject": "Tu factura numero IVC-0001",
"module": "invoice",
"type": "document_email",
"status": "delivered",
"sesEvents": [
{
"eventType": "delivery",
"timestamp": "2026-01-15T10:00:05.000Z",
"details": {}
}
],
"configurationSetName": "mgpanel-transactional"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"pages": 1
}
}